Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4042 - rescue image umount & reboot problems with ATX ps
Summary: rescue image umount & reboot problems with ATX ps
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkbootdisk
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-14 22:39 UTC by bcboy
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-09 06:30:41 UTC


Attachments (Terms of Use)

Description bcboy 1999-07-14 22:39:25 UTC
This isn't really a mkbootdisk problem, but I didn't find a
section for boot image problems.

/bin/init on rescue.img uses a [] construct which is not
supported by the ash shell on the disk, and filesystem
unmounting fails. I think you will have to add /bin/test if
you want that functionality with ash.

Also, for reasons I don't understand, when exiting the shell
(which is supposed to halt the machine) the (ATX) machine is
not bootable via the reset switch or front power switch. The
ATX/motherboard interface is being mucked up somehow. This
doesn't happen when doing a shutdown from an installed 6.0
system.

Comment 1 Michael K. Johnson 1999-09-25 18:22:59 UTC
Actually, putting a link from [ to test in that image will fix the
syntax error.

Comment 2 Matt Wilson 2000-02-09 06:30:59 UTC
Fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.